Иногда у нас случается такая ситуация, у нас установлена старая версия приложения, но мы хотим обновить и установить последнюю версию. Пару дней, тому назад и у меня подобное случилось.

Стоит у меня старая версия приложения Webmoney, перешел я на сайт вебмани и увидел, что доступна новая версия, как полагается, загрузил ее и думаю, установлю, в итоге получил я ошибку:

Ошибка при установке пакета Mywm

И в последующем, при попытке установить либо какое приложение я получаю ошибку:

  • E: Пакет mywm нуждается в переустановке, но найти архив для него не удалось. 

Ранее я устанавливал с помощью терминала через простую команду:

dpkg -i ./mywm_1.0.158-1_i386.deb

И все становилось без проблем и новая версия заменяла старую без проблем, а как видите иногда случаются подобные проблемы с пакетами. В официальном сообществе я нашел подобную инструкцию для решения данной проблемы:

  • E: Пакет <имя пакета> нуждается в переустановке, но найти архив для него не удалось

Если у вас выводится такая строка то это решение для вас.
Для решения этой проблемы нужно стереть информацию об этом пакете в файле /var/lib/dpkg/status.
Отредактируйте файл status введя в терминале следующую команду:

sudo gedit /var/lib/dpkg/status

Далее у нас откроется соответствующий файл. Нажмите на CTRL+F и введите поисковый запрос <имя пакета> либо в моей ситуации это пакет MyWm, далее найдите текст ниже и полностью удалите блок:

Package: mywm
Status: install ok installed
Priority: extra
Section: unknown
Installed-Size: 74760
Maintainer: vmuser <pahan40@gmail.com>
Architecture: i386
Version: 1.0.158-1
Depends: libasound2 (>= 1.0.23), libc6 (>= 2.4), libgcc1 (>= 1:4.1.1), libx11-6, libxext6, libxi6, libxrender1, libxtst6
Description: Webmoney keeper for Linux
    My WebMoney - this application for all linux-users of WebMoney!
    Most application for those who are included in your account on the site https://my.webmoney.ru
    Almost all the WebMoney Keeper Mini - now in desktop!
    * Purses & cards
    * contacts & messages
    * convenient payment service
    * Built-in digital goods shop
    * no complicated settings
    * easy to install - a pleasure to use
    P.S. The application is written using WmkApi: https://api4mini.webmoney.ru/
Homepage: <insert the upstream URL, if relevant>

Удалить весь блок информации о пакете. Сохраните.
Примечание: Не удалите ничего лишнего! Введите в терминале следующую команду:

sudo apt-get -f install

Для полной надежности нужно удалить все файлы пакета. Для этого надо установить и удалить этот пакет.

sudo apt-get install <имя пакета> -y && sudo apt-get remove <имя пакета> -y

А как поступил я в данной ситуации, покопавшись в сети наткнулся на подобную проблему, но уже в дистрибутиве Kubuntu и решение достаточно простое, полностью удаляем проблемный пакет с помощью команды:

dpkg -r --force-remove-reinstreq <имя пакета> 

В моем случае это:

dpkg -r --force-remove-reinstreq mywm 

Для большей надежности выполним так же команду:

sudo apt-get -f install
sudo apt-get update

Теперь можете устанавливать заново любое приложение и данной ошибки вы уже не встретите.
Все проблема решена.

Понравилась статья?
Иногда у нас случается такая ситуация, у нас установлена старая версия приложения, но мы хотим обновить и установить последнюю версию. Пару дней, тому назад и у меня подобное случилось. Стоит у меня старая версия приложения Webmoney, перешел я на сай...
Система
5147
Рейтинг: 5/8
При перепечатке материалов указание ссылки на linuxsoid.com обязательно.

Подпишитесь на рассылку

Смотрите также:
    ICQ Аська для Ubuntu Linux ICQ Аська для Ubuntu Linux

    И свершилось чудо, вышел официальный релиз ICQ для Linux, ранее вам приходилось пользоваться сторонними приложениями, но теперь в этом нет необходимости так как вышел официальный клиент.

    Выберите вашу архитектуру и загрузите архив, архив занимает 33 около 34 мб, скачаете, распакуйте, далее увидите файл формата run с названием "icq", нажмите по нему двойным кликом как и обычно когда вы запускаете приложения, сразу же увидите как автоматически извлеклись две директории (settings и fontconfig), настройки и прочие  конфигурационные файлы для работы приложения.

    Игра Teeworlds для Ubuntu Linux Игра Teeworlds для Ubuntu Linux

    Teeworlds - это многопользовательский 2D шутер который очень схож с такими играми как (Worms, Soldat и Counter-Strike 2D). В связи с особенностями физики имеет свой уникальный геймплей. Все игроки имеют возможность управления персонажем который очень похож на колобка, но этот колобок не простой так как умеет цепляться за стены используя крюк и на лету перемещаться по карте почти как "Тарзан" на лиане. Цель играющего зависит от режима игры: например, уничтожить противников, доставить вражеский флаг к себе на базу или добежать до конца карты.

    Игра Oh My Giraffe для Ubuntu Linux Игра Oh My Giraffe для Ubuntu Linux

    Очень веселая игра для ваших детей которые осваивают Linux. Игра предназначена именно для того, чтоб любой, кто установит ее, смог просто прекрасно отдохнуть и повеселить своих детей или же племянников. Эта игра поможет вам поднять настроение и приятно провести время с своими родными. Все что нужно делать в игре Oh My Giraffe, это есть вкусные фрукты и убегать от диких львов. 

    Ваш герой, это жираф который сражается с львами. В том случае если вы не сможете убежать от львов, это не конец игры, вы имеете преимущества в том, что вы можете использовать ваш рост и вес, вы можете упасть на львов которые гонятся за вами. В данном случае, вы вероятнее всего задавите кого-то ради своего спасения. Если сказать кратко, это веселая игра которой вы еще не встречали. 

    Ускоряем Ubuntu уменьшая количество используемой памяти Ускоряем Ubuntu уменьшая количество используемой памяти

    Если сейчас сравнить новые версии десктоп дистрибутива Ubuntu например с версией 14.04, вы должны были бы увидеть, что дистрибутивы Linux стали более «прожорливыми», да новые версии получили проблему в виде Unity которая жрет оперативку как слон и если у вас оперативной памяти меньше 2гб, будет не сладко. В сегодняшнем материале мы обсудим несколько способов более оптимального решения возникшей проблемы которые бы позволили уменьшить апетиты в использовании оперативной памяти. Первый, конечно же - это выбор легкого дистрибутива (Xubuntu или же Lubuntu и прочих). Второй способ, в данном случае мы постараемся уменьшить потребления памяти без ограничения в функциональности работы дистрибутива, для опытов мы выбрали Ubuntu 16.04 LTS.

    Установка среды разработки Visual Studio Code в Linux Установка среды разработки Visual Studio Code в Linux

    Вчера 18.11.2015 компания Microsoft открыла исходники Visual Studio Code для Linux. Visual Studio Code - это приложение которое предоставляет все средства для создания, редактирования и отладки современных web-приложений и программ для облачных систем. C вчерашнего дня данное приложение превратилась с просто современного приложения для отладки и редактирования web-приложений, в кросплатформенное доступное для платформ Linux, Windows и Mac OS X. 

    Установка FTP-клиента gFTP в Linux Установка FTP-клиента gFTP в Linux

    Foxit Reader — это легковесная, быстродействующая и многофункциональная программа для чтения PDF, которая позволяет создавать (бесплатное создание PDF-документов), открывать, просматривать, подписывать и распечатывать любые PDF-файлы. Foxit Reader создан на базе самого быстрого и точного (с высокой точностью отображения) в отрасли инструмента визуализации PDF, дающего пользователям лучшие возможности для просмотра и печати PDF-документов. Доступны версии продукта на английском, нидерландском, французском, немецком, итальянском, португальском, русском и испанском языках.

avatar
0
ниче не получилось confused huh
avatar
0
2 • 09:58,
Уточни, какая у тебя ошибка и что ты видишь в консоли, скриншот и детально описание приветствуется.
avatar
1
1 • 23:13,
Спасибо..проблема решилась biggrin
avatar